// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#include "Precompiled.h"
#include "SharedIncludes.h"
namespace RuntimeForStatic {
//==================================================================================================
PCWSTR $StaticMessages::NoError() $thread_static $static_pointer $not_null
{
   return NoError( NULL );
}
PCWSTR $StaticMessages::NoError(LANGID languageId $optional) $static_pointer $not_null
{
   return $TEXT_L( languageId,
      L"No error.",
      L"Нет ошибки.");
}
//==================================================================================================
PCWSTR $StaticMessages::UnknownError() $thread_static $static_pointer $not_null
{
   return UnknownError( NULL );
}
PCWSTR $StaticMessages::UnknownError(LANGID languageId $optional) $static_pointer $not_null
{
   return $TEXT_L( languageId,
      L"Unknown error.",
      L"Неизвестная ошибка" );
}
//--------------------------------------------------------------------------------------------------
PCWSTR $StaticMessages::MemoryAllocationFailure() $thread_static $static_pointer $not_null
{
   return MemoryAllocationFailure( NULL );
}
PCWSTR $StaticMessages::MemoryAllocationFailure(LANGID languageId $optional) $static_pointer
                                                                             $not_null
{
   return $TEXT_L( languageId,
      L"Memory allocation has failed.",
      L"Выделение памяти потерпело неудачу." );
}
//==================================================================================================
} // RuntimeForStatic
